summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* net-fs/openafs: migrate to sys-apps/kmodMikle Kolyada3 hours1-1/+1
| | | | | Package-Manager: Portage-2.3.103, Repoman-2.3.23 Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* net-fs/openafs: migrate to sys-libs/pamMikle Kolyada2019-10-123-3/+3
| | | | | Package-Manager: Portage-2.3.76, Repoman-2.3.16 Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* net-fs: Remove *-fbsd KEYWORDSMichał Górny2019-10-113-3/+3
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* net-fs/openafs: remove oldAndrew Savchenko2019-01-071-339/+0
| | | | | Package-Manager: Portage-2.3.54, Repoman-2.3.12 Signed-off-by: Andrew Savchenko <bircoph@gentoo.org>
* net-fs/openafs: fix broken dependenciesAndrew Savchenko2019-01-071-0/+341
| | | | | | | | | | | | 1.8.2-r1 fixes seriously broken deps due to RDEPEND <-> DEPEND typo: was "DEPEND=${RDPEND}" instead of the opposite. Aside from this missing subslot is provided and couple of deps are moved BDEPEND -> DEPEND because they contain no executables. Package-Manager: Portage-2.3.54, Repoman-2.3.12 Signed-off-by: Andrew Savchenko <bircoph@gentoo.org>
* net-fs/openafs: remove gssapi USE flagAndrew Savchenko2019-01-063-7/+4
| | | | | | | | | | Right now GSSAPI check is NOP on *NIX systems, it may be useful together with Kerberos-V later. So disable all checks when Kerberos is disabled and enable them when Kerberos support is enabled. Closes: https://bugs.gentoo.org/674630 Package-Manager: Portage-2.3.54, Repoman-2.3.12 Signed-off-by: Andrew Savchenko <bircoph@gentoo.org>
* net-fs/openafs: fix broken ManifestAndrew Savchenko2019-01-051-1/+1
| | | | | | Closes: https://bugs.gentoo.org/674616 Signed-off-by: Andrew Savchenko <bircoph@gentoo.org> Package-Manager: Portage-2.3.53, Repoman-2.3.11
* net-fs/openafs: 1.8.2 version bumpAndrew Savchenko2019-01-053-2/+358
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | - Update to upstream version 1.8.2 and patches from 1_8_x branch till 20181001. This fixes some open Gentoo bugs: 472184 (probably), 544162, 603890 (likely), 640874, 642542. - Merge openafs-kernel back into openafs: - save lots of build time (configure, compilling common code); - original split was required due to problems in the build system (e.g. -j1) which are fixed now. Now kernels < 4.21 are supported. - Add support for new features: - enable gssapi via kerberos; - allow to choose between namei and inode file servers; - add Tivoli TSM API support; - conrol ubik-read-while-write mode; - deprecate kauth tools (may be enabled via flag); - add support for perl bindings via swig; - Docs: - build api docs (using doxygen); - Build PDF docs, support all three generators (fop, dblatex, docbook2pdf). - Avoid file collision with heimdal (bug 631584). The client is tested on various configurations, the server is not. Closes: https://bugs.gentoo.org/472184 Closes: https://bugs.gentoo.org/544162 Closes: https://bugs.gentoo.org/603890 Closes: https://bugs.gentoo.org/631584 Closes: https://bugs.gentoo.org/640874 Closes: https://bugs.gentoo.org/642542 Signed-off-by: Andrew Savchenko <bircoph@gentoo.org> Package-Manager: Portage-2.3.53, Repoman-2.3.11
* net-fs/openafs: fix QA issuesAndrew Savchenko2019-01-052-8/+8
| | | | | | | | - get rid of versionator eclass - specify fuse subslot dep Signed-off-by: Andrew Savchenko <bircoph@gentoo.org> Package-Manager: Portage-2.3.53, Repoman-2.3.11
* net-fs/openafs: Drop oldNP-Hardass2018-03-012-224/+0
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-fs/openafs: Stabilize 1.6.22.1 for amd64, x86NP-Hardass2018-03-011-2/+2
| | | | | Closes: https://bugs.gentoo.org/649214 Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-fs/openafs: Bump to 1.6.22.2NP-Hardass2018-03-012-0/+224
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-fs/openafs: Remove useless maintainer <description/>Michał Górny2018-02-111-2/+0
| | | | | | | | | Remove useless/redundant maintainer <description/>. It does not benefit bug wrangling, and only wastes developer's time on reading it. Few tips: - assignee/CC is implied by ordering, there is no reason to repeat it, - we know that maintainer is maintainer (la la la la la), - most of adjectives for maintainer are of no value and/or are obvious.
* net-fs/openafs: Bump to 1.6.22.1NP-Hardass2017-12-272-0/+224
| | | | Package-Manager: Portage-2.3.18, Repoman-2.3.6
* net-fs/openafs: Drop older versionsNP-Hardass2017-12-115-897/+0
| | | | | Bug: https://bugs.gentoo.org/640536 Package-Manager: Portage-2.3.16, Repoman-2.3.6
* net-fs/openafs: Stable for amd64, x86NP-Hardass2017-12-111-1/+1
| | | | | Bug: https://bugs.gentoo.org/640536 Package-Manager: Portage-2.3.16, Repoman-2.3.6
* net-fs/openafs: Bump to 1.6.22NP-Hardass2017-12-112-0/+224
| | | | | | CVE: 2017-17432 Bug: https://bugs.gentoo.org/640536 Package-Manager: Portage-2.3.16, Repoman-2.3.6
* net-fs/*: Update Manifest hashesMichał Górny2017-12-101-10/+10
|
* net-fs/openafs: 1.6.21-r1 stable for amd64, x86NP-Hardass2017-10-031-1/+1
| | | | Package-Manager: Portage-2.3.10, Repoman-2.3.3
* net-fs/openafs: Fixed service scriptsNP-Hardass2017-09-222-2/+2
| | | | | | Thanks to johnfg for his help Package-Manager: Portage-2.3.10, Repoman-2.3.3
* net-fs/openafs: Bump to 1.6.21.1NP-Hardass2017-09-222-0/+225
| | | | | | Fixed service scripts, Thanks to johnfg for his help Package-Manager: Portage-2.3.10, Repoman-2.3.3
* net-fs/openafs: Bump to 1.6.21NP-Hardass2017-09-132-0/+224
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.3
* net-fs/openafs: Bump to 1.6.20.2NP-Hardass2017-06-012-0/+224
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* net-fs/openafs: remove oldAndrew Savchenko2017-05-132-224/+0
| | | | | | | security cleanup, bug 608446 Package-Manager: Portage-2.3.5, Repoman-2.3.2 Signed-off-by: Andrew Savchenko <bircoph@gentoo.org>
* net-fs/openafs: sparc stable wrt bug #608446Agostino Sarubbo2017-05-121-1/+1
| | | | | | Package-Manager: Portage-2.3.5, Repoman-2.3.1 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-fs/openafs: x86 stable wrt bug #608446Agostino Sarubbo2017-05-041-1/+1
| | | | | | Package-Manager: Portage-2.3.5, Repoman-2.3.1 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-fs/openafs: amd64 stable wrt bug #608446Agostino Sarubbo2017-05-011-1/+1
| | | | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* Drop $Id$ per council decision in bug #611234.Robin H. Johnson2017-02-282-2/+0
| | | | Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
* net-fs/openafs: remove bashism from init scriptAndrew Savchenko2017-02-123-4/+4
| | | | | | | | | [[ ]] construct in the client init script is replaced by [ ] to be POSIX compliant. Since the client init script is shipped within tarball, the tarball is updated. Package-Manager: Portage-2.3.3, Repoman-2.3.1 Signed-off-by: Andrew Savchenko <bircoph@gentoo.org>
* net-fs/openafs: Version bump to 1.6.20.1, #608446NP-Hardass2017-02-082-0/+225
| | | | Package-Manager: portage-2.3.0
* net-fs/openafs: remove oldAndrew Savchenko2016-12-263-438/+0
| | | | | Package-Manager: portage-2.3.3 Signed-off-by: Andrew Savchenko <bircoph@gentoo.org>
* net-fs/openafs: sparc stable wrt bug #597078Agostino Sarubbo2016-12-251-1/+1
| | | | | | Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-fs/openafs: x86 stable wrt bug #597078Agostino Sarubbo2016-12-241-1/+1
| | | | | | Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-fs/openafs-1.6.18.3-r0: stable on amd64Tobias Klausmann2016-12-211-1/+1
| | | | Gentoo-Bug: 597078
* net-fs/openafs: vbump 1.6.18.3NP-Hardass2016-08-112-0/+225
| | | | Package-Manager: portage-2.3.0
* net-fs/openafs: update patchsetAndrew Savchenko2016-08-013-4/+4
| | | | | | | In init scripts runscript is replaced by openrc-run. Package-Manager: portage-2.3.0 Signed-off-by: Andrew Savchenko <bircoph@gentoo.org>
* net-fs/openafs: remove oldAndrew Savchenko2016-08-012-225/+0
| | | | | Package-Manager: portage-2.3.0 Signed-off-by: Andrew Savchenko <bircoph@gentoo.org>
* net-fs/openafs: Vbump to 1.6.18.2, Support dyn cachedir from config fileNP-Hardass2016-07-202-0/+226
| | | | | | | | Previously, config scripts ignored the setting in /etc/openafs/cacheinfo and assumed the default /var/cache/openafs. Now we pull the value dynamically from the config file Package-Manager: portage-2.2.28
* net-fs/openafs: version bumpAndrew Savchenko2016-04-303-0/+230
| | | | | | | | - add missed deps - new USE flags based on configure options previously ignored Package-Manager: portage-2.2.28 Signed-off-by: Andrew Savchenko <bircoph@gentoo.org>
* net-fs/openafs: fix SRC_URIAndrew Savchenko2016-04-301-1/+1
| | | | | | | Docs URI should also contain MY_PRE as suggested by NP-Hardass. Package-Manager: portage-2.2.28 Signed-off-by: Andrew Savchenko <bircoph@gentoo.org>
* net-fs/openafs: http -> httpsAndrew Savchenko2016-04-301-3/+3
| | | | | Package-Manager: portage-2.2.28 Signed-off-by: Andrew Savchenko <bircoph@gentoo.org>
* net-fs/openafs: remove old and vulnerable versionsAndrew Savchenko2016-03-264-537/+0
| | | | | | | Bug: 564388 Package-Manager: portage-2.2.28 Signed-off-by: Andrew Savchenko <bircoph@gentoo.org>
* net-fs/openafs: sparc stable wrt bug #564388Agostino Sarubbo2016-03-261-1/+1
| | | | | | Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-fs/openafs: x86 stable wrt bug #564388Agostino Sarubbo2016-03-261-1/+1
| | | | | | Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-fs/openafs: amd64 stable wrt bug #564388Agostino Sarubbo2016-03-261-1/+1
| | | | | | Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-fs/openafs: Fix manifestNP-Hardass2016-03-231-1/+1
| | | | Package-Manager: portage-2.2.26
* net-fs/openafs: Version bump to 1.6.17. Security bugs and systemd bugsNP-Hardass2016-03-222-0/+213
| | | | | | | | | | | | | Security Release 1.6.17. Also fixes systemd units to make cache dir and sets env variables in /etc/systemd/service.d/openafs-{client,server}.service.d/00gentoo.conf to allow specifying daemon runtime args. Additionally, new pkg_config phase exists to enable systemd users to set cache args for client daemon because QA policies disencourage having the unit set the args dynamically. Gentoo-Bug: 570410,544168,570540,564388 Package-Manager: portage-2.2.26
* net-fs/openafs: version bump to 1.6.16Andrew Savchenko2016-02-232-0/+180
| | | | | | | | | This update fixes several security bugs: CVE-2015-{7762,7763,8312}. Update ebuild to EAPI 6. Install missing PDF docs. Package-Manager: portage-2.2.27 Signed-off-by: Andrew Savchenko <bircoph@gentoo.org>
* Set appropriate maintainer types in metadata.xml (GLEP 67)Michał Górny2016-01-241-2/+2
|
* Replace all herds with appropriate projects (GLEP 67)Michał Górny2016-01-241-1/+0
| | | | | Replace all uses of herd with appropriate project maintainers, or no maintainers in case of herds requested to be disbanded.